.primary-cta {
    padding: 120px 0;
    position: relative;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #303739;
}

.primary-cta.has-image {
    padding: 64px 0;
}

.primary-cta .block-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 32px;
    text-align: center;
    color: #fff;
}

.primary-cta .block-title-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
    text-align: center;
}

.primary-cta .content-wrapper h2 {
    color: #fff;
}

.primary-cta .content-wrapper p {
    font-size: 18px;
    font-weight: 400;
    opacity: 0.8;
}

.primary-cta.home-cta .content-wrapper {
    max-width: 800px;
    margin: 0 auto;
}

.primary-cta ul {
    list-style-type: none;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 64px;
    padding: 0;
    margin: 0;
    font-family: 'Montserrat';
}

.primary-cta.lower_gap ul {
    gap: 16px;
}

.primary-cta ul li {
    display: flex;
    align-items: center;
    gap: 8px;
    font-weight: 600;
    font-size: 20px;
}

.primary-cta .green-dot-text {
    display: flex;
    align-items: center;
    gap: 8px;
    color: #fff;
    font-size: 12px;
    font-weight: 400;
}

.primary-cta .green-dot-text p {
    opacity: 0.8;
}

@media (max-width:1199px) {

    .primary-cta.has-image,
    .primary-cta {
        padding: 64px 0;
    }

    .primary-cta .block-title>img {
        max-width: 80px;
        height: auto;
    }

    .primary-cta .content-wrapper svg {
        max-width: 80px;
        height: auto;
    }

    .primary-cta .content-wrapper p {
        font-size: 16px;
    }

    .primary-cta ul li {
        font-size: 16px;
        font-weight: 500;
    }

    .primary-cta ul,
    .primary-cta.lower_gap ul {
        gap: 16px;
    }

    .primary-cta .block-title-wrapper {
        gap: 8px;
    }
}


@media (max-width:520px) {
    .primary-cta .btn-wrapper {
        width: 100%;
    }

    .primary-cta .btn {
        width: 100%;
        justify-content: space-between;
    }
}

.primary-cta .marker-dot,
.primary-cta .marker {
    animation: ctaMove 3s infinite;
}

.primary-cta .dot-circle {
    animation: ctaPulse 3s infinite;
}

/* animacje */

@keyframes ctaMove {
    0% {
        transform: translateY(0);
    }

    10% {
        transform: translateY(-6px);
    }

    30% {
        transform: translateY(-6px);
    }

    40% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes ctaPulse {
    0% {
        fill: #303739;
        transform: translateY(0);
    }

    10% {
        fill: #F05A28;
        transform: translateY(-6px);
    }

    30% {
        fill: #F05A28;
        transform: translateY(-6px);
    }

    40% {
        fill: #303739;
        transform: translateY(0);
    }

    100% {
        fill: #303739;
        transform: translateY(0);
    }
}